# JvmVendorSpec

abstract class JvmVendorSpec

Represents a filter for a vendor of a Java Virtual Machine implementation.

#### Since

6.8

## Constructors

JvmVendorSpec
Link copied to clipboard
constructor()

## Properties

ADOPTIUM
Link copied to clipboard
val ADOPTIUM: JvmVendorSpec
A constant for using Eclipse Adoptium as the JVM vendor.
ADOPTOPENJDK
Link copied to clipboard
val ADOPTOPENJDK: JvmVendorSpec
AMAZON
Link copied to clipboard
val AMAZON: JvmVendorSpec
APPLE
Link copied to clipboard
val APPLE: JvmVendorSpec
AZUL
Link copied to clipboard
val AZUL: JvmVendorSpec
BELLSOFT
Link copied to clipboard
val BELLSOFT: JvmVendorSpec
GRAAL_VM
Link copied to clipboard
val GRAAL_VM: JvmVendorSpec
A constant for using GraalVM as the JVM vendor.
HEWLETT_PACKARD
Link copied to clipboard
val HEWLETT_PACKARD: JvmVendorSpec
IBM
Link copied to clipboard
val IBM: JvmVendorSpec
JETBRAINS
Link copied to clipboard
@Incubating
val JETBRAINS: JvmVendorSpec
A constant for using JetBrains Runtime as the JVM vendor.
MICROSOFT
Link copied to clipboard
val MICROSOFT: JvmVendorSpec
A constant for using Microsoft OpenJDK as the JVM vendor.
ORACLE
Link copied to clipboard
val ORACLE: JvmVendorSpec
SAP
Link copied to clipboard
val SAP: JvmVendorSpec
TENCENT
Link copied to clipboard
@Incubating
val TENCENT: JvmVendorSpec
A constant for using Tencent Kona JDK as the JVM vendor.

## Functions

matches
Link copied to clipboard
@Incubating
abstract fun matches(vendor: String): Boolean
Determines if the vendor passed as an argument matches this spec.
matching
Link copied to clipboard
open fun matching(match: String): JvmVendorSpec
Returns a vendor spec that matches a VM by its vendor.
of
Link copied to clipboard
@Incubating
open fun of(vendor: String): JvmVendorSpec
Returns a vendor spec that matches a VM by its vendor.